Subject: BIRD56 - Relaxation of [Series Pin Mapping] Restriction

From: [email-masked] (Bob Ross)
Date: Wed, 25 Nov 98 13:31:28 PST

IBIS folks:

As an action item in the November 20, 1998 meeting, BIRD56 is issued to
remove a restriction in the [Series Pin Mapping] keyword that prevented
using the Series models for some practical applications.

We plan to discuss and possibly vote on BIRD56 at the next teleconference
IBIS Open Forum meeting.

Bob Ross
Interconnectix/Mentor Graphics

******************************************************************************
******************************************************************************

BIRD ID#:       56
ISSUE TITLE:    Relaxation of [Series Pin Mapping] Restriction
REQUESTER:      Bob Ross, Mentor Graphics
DATE SUBMITTED: November 25, 1998
DATE ACCEPTED BY IBIS OPEN FORUM: Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

[Series Pin Mapping] specifies connection only to Terminator or NC pins.
This restricts using the Series elements for other purposes such as providing
an internal differential termination to a differential input or output.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

In the [Series Pin Mapping] keyword below, the suggested change is shown
in the revised paragraph that is bracketed by |* lines:

|=============================================================================
|     Keyword:  [Series Pin Mapping]
|    Required:  No
| Description:  Used to associate two pins joined by a series model.
|  Sub-Params:  pin_2, model_name, function_table_group
| Usage Rules:  Enter only series pin pairs.  The first column, [Series Pin
|               Mapping], contains the series pin for which input impedances
|               are measured.  The second column, pin_2, contains the other
|               connection of the series model.  Each pin must match the pin
|               names declared previously in the [Pin] section of the IBIS
|               file.  The third column, model_name, associates the Series or
|               Series_switch model for the pair of pins in the first two 
|               columns.  The fourth column, function_table_group, contains
|               an alphanumeric designator string to associate those sets of
|               Series_switch pins that are switched together.
|
|               Each line must contain either three or four columns.  When
|               using four columns, the header function_table_group must be
|               listed.  
|
|               One possible application is to model crossbar switches where
|               the straight through On paths are indicated by one designator
|               and the cross over On paths are indicated by another
|               designator.  If the model referenced is a Series model, then
|               the function_table_group entry is omitted.
| 
|               Column length limits are:
|                  [Series Pin Mapping]       5 characters max
|                  pin_2                      5 characters max
|                  model_name                20 characters max
|                  function_table_group      20 characters max
|
| Other Notes:  If the model_name is for a non-symmetrical series model, 
|               then the order of the pins is important.  The [Series Pin
|               Mapping] and pin_2 entries must be in the columns that
|               correspond with Pin 1 and Pin 2 of the referenced model.
|
|               This mapping covers only the series paths between pins.  The
|               package parasitics and any other elements such as additional
|               capacitance or clamping circuitry are defined by the
|               model_name that is referenced in the [Pin] keyword.  The
|               model_names under the [Pin] keyword that are also referenced
|               by the [Series Pin Mapping] keyword must be either 'NC' or
|               reference a [Model] whose Model_type is 'Terminator'.  Thus.
|               for example, a Series_switch model may contain Terminator
|               models on EACH of the pins to describe both the capacitance
|               on each pin and some clamping circuitry that may exist on
|               each pin.
|
|

|* Replace the above Paragraph with this Paragraph:

|               This mapping covers only the series paths between pins.  The
|               package parasitics and any other elements such as additional
|               capacitance or clamping circuitry are defined by the
|               model_name that is referenced in the [Pin] keyword.  The
|               model_names under the [Pin] keyword that are also referenced
|               by the [Series Pin Mapping] keyword may include any legal
|               model or reserved word except for Series and Series_switch
|               models.  Normally the pins will reference a [Model] whose
|               Model_type is 'Terminator'.  For example, a Series_switch
|               model may contain Terminator models on EACH of the pins to
|               describe both the capacitance on each pin and some clamping
|               circuitry that may exist on each pin.  In a similar manner,
|               Input, I/O or Output models may exist on each pin of a Series
|               model that is serving as a differential termination.  

|*  End of Revised Paragraph.

|-----------------------------------------------------------------------------
[Series Pin Mapping]  pin_2    model_name      function_table_group
|
  2                    3       CBTSeries       1    | Four independent groups
  5                    6       CBTSeries       2
  9                    8       CBTSeries       3    
  12                  11       CBTSeries       4
|
  22                  23       CBTSeries       5    | Straight through path
  25                  26       CBTSeries       5
  22                  26       CBTSeries       6    | Cross over path
  25                  23       CBTSeries       6
| 
  32                  33       Fixed_series         | No group needed
|
******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

BIRD41.8 discusses some background for the initial restriction in its 
ANALYSIS ... section.  In particular, the evolution through BIRD41.3 and
BIRD41.4 documents that simplicity was the original reason for restricting
the connecting pins of [Series Pin Mapping] to Terminators and NC.  It was
also left as a simulator specific extension that POWER or GND Pins could also
be used.  (See http://www.eda.org/pub/ibis/birds and select BIRD41.8.)

The fact that Input, Output, and I/O pins were excluded meant that the
series element could not be used to provide differential connections
between pins.  BIRD56 fixes this problem.

Because legal reserved words are permitted, any of the pins may be connected
to POWER, GND or NC pins, as needed.

The major argument for relaxing the restriction is that some of these
extended cases permit additional practical connection configurations.
There was not a technical reason for maintaining the restriction.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

IBIS reflector discussion between October 7 - 12, 1998 discussed this issue.
Chris Rokusek in response to some discussions with Arpad Muranyi raised the
original clarification question and also supported a BIRD which would
relax the restriction.

At the November 20, 1998 IBIS meeting, this issue was discussed.  The action
was to issue this BIRD for further discussion and resolution.

******************************************************************************